package ru.yandex.webmaster3.core.http.request;

import org.eclipse.jetty.server.Request;
import ru.yandex.webmaster3.core.http.Action;

/**
 * @author avhaliullin
 */
public class RequestContext {
    private final Request httpRequest;
    private final Action action;
    private final String actionName;

    public RequestContext(Request httpRequest, Action action, String actionName) {
        this.httpRequest = httpRequest;
        this.action = action;
        this.actionName = actionName;
    }

    public Request getHttpRequest() {
        return httpRequest;
    }

    public Action getAction() {
        return action;
    }

    public String getActionName() {
        return actionName;
    }
}
